# dillo-gemini

[Gemini](https://gopher.tildeverse.org/zaibatsu.circumlunar.space/1/~solderpunk/gemini) protocol plugin for [Dillo](https://dillo.org/)

Dillo is a lightweight GUI web browser. dillo-gemini is a plugin for Dillo to browse gemini pages via Dillo. It even works on my very old PocketCHIP computer and my Raspberry Pi 1B.

The original repo was on git-ssb. I've mirrored it here to make it easier to install, added some install info, and hope it will encourage more folks to try it.

## Screenshot

![Dillo-gemini screenshot](https://tildegit.org/exquisitecorp/dillo-gemini/raw/branch/main/dillo-screenshot.jpg)

## Install

Dillo needs to be installed. dillo-gemini requires the `openssl` command-line tool.

Debian-based distros:

```
sudo apt install dillo openssl
```

Void Linux:

```
xbps-install dillo openssl
```

Other distros may contains dillo in their repos or it can be built from source.

[ansi2html](https://pypi.org/project/ansi2html/) is optionally required to render pages that use ANSI escape codes (e.g. for colors).

Note: Original repo I forked from was hosted on the SSB Network usig git-ssb. I found it difficult to access and clone on my PocketCHIP computer so I made this mirror.


```sh
git clone https://tildegit.org/exquisitecorp/dillo-gemini
cd dillo-gemini
mkdir -p ~/.dillo/dpi/gemini
ln -rs gemini.filter.dpi ~/.dillo/dpi/gemini
test -f ~/.dillo/dpidrc || cp /etc/dillo/dpidrc ~/.dillo/dpidrc
echo 'proto.gemini=gemini/gemini.filter.dpi' >> ~/.dillo/dpidrc
dpidc stop
```

## Sites to try

- <gemini://gemini.circumlunar.space/>
- <gemini://warmedal.se/~antenna>
- <gemini://bbs.geminispace.org>
- <gemini://gemi.dev/cgi-bin/waffle.cgi>
- <gemini://gemini.ctrl-c.club/~lettuce>

## See also

- [gemini.filter.dpi](https://github.com/boomlinde/gemini.filter.dpi) - Another
  Dillo Gemini plugin, implemented in Go, and more feature-complete than this
  one.

[Gemini]: https://gopher.tildeverse.org/zaibatsu.circumlunar.space/1/~solderpunk/gemini
[Dillo]: https://dillo.org/
[git-ssb]: %n92DiQh7ietE+R+X/I403LQoyf2DtR3WQfCkDKlheQU=.sha256
[SSB]: https://www.scuttlebutt.nz/

## License

[original repo on git ssb](https://git.scuttlebot.io/%25V0D7DtSnZyyAp1NbgOJF2ZAFMeUy9eXwyClCEKYUYAI%3D.sha256) (c) Cel 2020 FSFAP
